package cn.bunny.pattern2.demo1.duck;

import cn.bunny.pattern2.demo1.behavior.fly.FlyNoWay;
import cn.bunny.pattern2.demo1.behavior.quack.MuteQuack;

public class WoodDuck extends AbstractDuck {

    private final String modelDuck = "木头🦆";

    public WoodDuck() {
        super.flyBehavior = new FlyNoWay();
        super.quackBehavior = new MuteQuack();
    }

    /**
     * 展示什么类型的鸭子
     */
    @Override
    public void display() {
        System.out.println(modelDuck + "...");
    }
}
